summaryrefslogtreecommitdiff
path: root/dev-ml
diff options
context:
space:
mode:
authorroot <root@alpha.trunkmasters.com>2026-08-13 03:04:49 -0500
committerroot <root@alpha.trunkmasters.com>2026-08-13 03:04:49 -0500
commit00a5031b2e58fb36fc981fe226565880b4798a8b (patch)
treeb6ce2d2b06f7a32a17f7304fa0c94d5790820783 /dev-ml
parentec560e4b511b5d7cb09adbd406de3ddb8386156f (diff)
downloadbaldeagleos-repo-00a5031b2e58fb36fc981fe226565880b4798a8b.tar.gz
baldeagleos-repo-00a5031b2e58fb36fc981fe226565880b4798a8b.tar.xz
baldeagleos-repo-00a5031b2e58fb36fc981fe226565880b4798a8b.zip
Adding metadata
Diffstat (limited to 'dev-ml')
-rw-r--r--dev-ml/llvm/Manifest2
-rw-r--r--dev-ml/llvm/llvm-23.1.0_rc3.ebuild107
-rw-r--r--dev-ml/opam-common/Manifest1
-rw-r--r--dev-ml/opam-common/opam-common-2.5.2.ebuild45
-rw-r--r--dev-ml/opam-installer/Manifest1
-rw-r--r--dev-ml/opam-installer/opam-installer-2.2.1-r1.ebuild2
-rw-r--r--dev-ml/opam-installer/opam-installer-2.3.0.ebuild2
-rw-r--r--dev-ml/opam-installer/opam-installer-2.4.1.ebuild2
-rw-r--r--dev-ml/opam-installer/opam-installer-2.5.1.ebuild3
-rw-r--r--dev-ml/opam-installer/opam-installer-2.5.2.ebuild46
-rw-r--r--dev-ml/opam/Manifest1
-rw-r--r--dev-ml/opam/opam-2.5.1.ebuild1
-rw-r--r--dev-ml/opam/opam-2.5.2.ebuild54
13 files changed, 261 insertions, 6 deletions
diff --git a/dev-ml/llvm/Manifest b/dev-ml/llvm/Manifest
index f8e27754f422..1db690e1cc4e 100644
--- a/dev-ml/llvm/Manifest
+++ b/dev-ml/llvm/Manifest
@@ -13,4 +13,6 @@ DIST llvm-project-22.1.8.src.tar.xz 167061596 BLAKE2B 092204f62e0f0364a041c737eb
DIST llvm-project-22.1.8.src.tar.xz.sig 119 BLAKE2B 2ce93472036e68782252991e4a8bdbeeec8706a56022220083a38a42ef18714a7894c41aaa04dc0d03f18601d8bfc1a5a030ed0ef0f0d64a662eae9843a4b362 SHA512 99a457b5b1fb409a5fe72b59ebd4ddae5cade3e5f2493e33b44d4f4b4625f7a1743f80106efb1134668842b15ea3400ce2c29263bec8ff986e05040910125e15
DIST llvm-project-23.1.0-rc2.src.tar.xz 179079292 BLAKE2B 59b4ae719ca496b29e37c1150d2953062d00d696e847d16710b6719c63246cccfb50c6f6bf33e7723e2e3757c8b1cae51a3c6a6787b6d45c808c78902ac01c97 SHA512 9ca8d0aa34f2910abc06edb832831c1a66209e7e78cffabcc52113fe0d6d96af57f4f67788ae23026c0f3b91dc8f6224cb46dfa0f1bcc41a1f60cbad5ec1623d
DIST llvm-project-23.1.0-rc2.src.tar.xz.sig 466 BLAKE2B c7acaa7f8833286cd0037c4c31ba8a1bb20f4a09b62979c7df9f69993728406b1a42db62d2ab2a34c526c0bdae1bc027074a623142420d2fc264c3f83e3c0f7b SHA512 7e2db57ed17efe3bf36c476049973b760af60c8a9302992a17e050e7a61db7b92df0b6c06f26989c61ce2e4682e7604bfdd0f063e322a726923e857890cedc8c
+DIST llvm-project-23.1.0-rc3.src.tar.xz 179126732 BLAKE2B f0843aacbf9ebd57929dbba0436773775dc121223ae3a81d1c30bd5a3ccba136359b9e483d2be58546dc6bf468743711d5057f8b1486e5ba4d59a96136426c3c SHA512 0c9bdf4c75784269bd4560d94126e667d1d145da2f6db4d94f437b2388880f3dcb52f85c0580d78e2597b141511a4b7ddadfc31f83b690d5cd383e84330ce247
+DIST llvm-project-23.1.0-rc3.src.tar.xz.sig 466 BLAKE2B c7bd61c1cab2bdb4c8026aa095f7543e7c2f50520531f3ca6bd8c0cb78b2a7770d39723cec6effe9366c260d01b0db2bfd072281790b63b7d0d8b48339f51c42 SHA512 751f602d29235d4ce58a0d38c23f360977cb9e978e04399b3032053e7168903a721d307f001864b73fef8f567023eebe8f4fdbf4124667789d0afaff57b01d7d
DIST llvm-project-bb9934d4dfef9033ded36d26827dbb6d3ac1dd92.tar.gz 277566365 BLAKE2B 401320655d19b3d430d15a48e2daf1f00567ef87fd2d1f86c3d505a1b2f5920db6cbfa620bf1b0561cd318d6046830d5b19fe0e7b58647863372c6c96526526c SHA512 354b901ca80227abe6b0514eeba437f237ea2658dd1927bb6e1d3b0b298bdb0dfdb7855c0f359eea4977dd344f6d0f6d1ce486ea0100d4a5615a9139ef198fca
diff --git a/dev-ml/llvm/llvm-23.1.0_rc3.ebuild b/dev-ml/llvm/llvm-23.1.0_rc3.ebuild
new file mode 100644
index 000000000000..595eeee6c534
--- /dev/null
+++ b/dev-ml/llvm/llvm-23.1.0_rc3.ebuild
@@ -0,0 +1,107 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{13..14} )
+inherit cmake llvm.org llvm-utils python-any-r1
+
+DESCRIPTION="OCaml bindings for LLVM"
+HOMEPAGE="https://llvm.org/"
+
+LICENSE="Apache-2.0-with-LLVM-exceptions UoI-NCSA"
+SLOT="0/${PV}"
+IUSE="+debug test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ >=dev-lang/ocaml-4.00.0:0=
+ dev-ml/ocaml-ctypes:=
+ ~llvm-core/llvm-${PV}:=[debug?]
+ !llvm-core/llvm[ocaml(-)]
+"
+
+DEPEND="
+ ${RDEPEND}
+"
+BDEPEND="
+ ${PYTHON_DEPS}
+ dev-lang/perl
+ dev-ml/findlib
+"
+
+LLVM_COMPONENTS=( llvm cmake libc third-party )
+LLVM_USE_TARGETS=llvm
+llvm.org_set_globals
+
+src_configure() {
+ llvm_prepend_path "${LLVM_MAJOR}"
+
+ local libdir=$(get_libdir)
+ local mycmakeargs=(
+ -DLLVM_LIBDIR_SUFFIX=${libdir#lib}
+
+ -DBUILD_SHARED_LIBS=OFF
+ -DLLVM_BUILD_LLVM_DYLIB=ON
+ -DLLVM_LINK_LLVM_DYLIB=ON
+ -DLLVM_OCAML_OUT_OF_TREE=ON
+
+ # cheap hack: LLVM combines both anyway, and the only difference
+ # is that the former list is explicitly verified at cmake time
+ -DLLVM_TARGETS_TO_BUILD=""
+ -DLLVM_EXPERIMENTAL_TARGETS_TO_BUILD="${LLVM_TARGETS// /;}"
+ -DLLVM_BUILD_TESTS=$(usex test)
+
+ # disable various irrelevant deps and settings
+ -DLLVM_ENABLE_FFI=OFF
+ -DLLVM_ENABLE_TERMINFO=OFF
+ -DHAVE_HISTEDIT_H=NO
+ -DLLVM_ENABLE_ASSERTIONS=$(usex debug)
+ -DLLVM_ENABLE_EH=ON
+ -DLLVM_ENABLE_RTTI=ON
+
+ -DLLVM_HOST_TRIPLE="${CHOST}"
+
+ -DPython3_EXECUTABLE="${PYTHON}"
+
+ # TODO: ocamldoc
+ )
+
+ use test && mycmakeargs+=(
+ -DLLVM_LIT_ARGS="$(get_lit_flags)"
+ )
+
+ # LLVM_ENABLE_ASSERTIONS=NO does not guarantee this for us, #614844
+ # also: custom rules for OCaml do not work for CPPFLAGS
+ use debug || local -x CFLAGS="${CFLAGS} -DNDEBUG"
+ cmake_src_configure
+
+ local llvm_libdir=$(llvm-config --libdir)
+ # an ugly hack; TODO: figure out a way to pass -L to ocaml...
+ cd "${BUILD_DIR}/${libdir}" || die
+ ln -s "${llvm_libdir}"/*.so . || die
+
+ if use test; then
+ local llvm_bindir=$(llvm-config --bindir)
+ # Force using system-installed tools.
+ sed -i -e "/llvm_tools_dir/s@\".*\"@\"${llvm_bindir}\"@" \
+ "${BUILD_DIR}"/test/lit.site.cfg.py || die
+ fi
+}
+
+src_compile() {
+ cmake_build ocaml_all
+}
+
+src_test() {
+ # respect TMPDIR!
+ local -x LIT_PRESERVES_TMP=1
+ cmake_build check-llvm-bindings-ocaml
+}
+
+src_install() {
+ DESTDIR="${D}" \
+ cmake -P "${BUILD_DIR}"/bindings/ocaml/cmake_install.cmake || die
+
+ dodoc bindings/ocaml/README.txt
+}
diff --git a/dev-ml/opam-common/Manifest b/dev-ml/opam-common/Manifest
index 02e76e3faca0..cf31e18694d3 100644
--- a/dev-ml/opam-common/Manifest
+++ b/dev-ml/opam-common/Manifest
@@ -2,3 +2,4 @@ DIST opam-2.2.1.tar.gz 1089671 BLAKE2B cd6a97c8c19d7866205b49f95bf4215d986b3ad8b
DIST opam-2.3.0.tar.gz 1128521 BLAKE2B 1567dbf9f2a944f2399820a1007a0d0943c54e158a5c371421ede0b59a84dfbcef4a5b8e259d74e053e6ae094a89bf6e4ec8686a076c9216f1c7a9136e3958ed SHA512 596d7b28f0cf9613dc7637aaeac45cc45f411a13286fea1cc81aeb0630c4f8a6dc2095d50db73229a255a3da3d9a08fe0993355a7fc64d3b16fd712789ff5f6e
DIST opam-2.4.1.tar.gz 1191951 BLAKE2B 21c6e5e59741699233be0375e7357ab4f8178f2e80bb347f460ac6e53b7fe3ff63dbfb21aeab6dda51ad937b30050d2eeb55e8b3bd6cacbea9f23fd8321a4646 SHA512 ee1656715f7e03c36ed9aa0a158033bbdb977d3e9017efa0ceddcd7b073e9b587eb6340ddf1916d9da197c7f48766e569221e6d8e43314bf761326329e4be0a6
DIST opam-2.5.1.tar.gz 1277085 BLAKE2B ce0b3224549144adcd9bb1a185b117a14a4ab3247e33dd882382ff5e1adae14a21acc28fb97a14577e464588d95369f4104663875151574c201819bc472b40ff SHA512 213f65253e12db5e64ece137db48eb031acb683ac3c0ecd3c02d1127a55777ef2d47298ebdffcdbb8c55a3a08ab0ec0a675698b05d72a3fd1649c89af8fdd150
+DIST opam-2.5.2.tar.gz 1283376 BLAKE2B db74d81c9ef0ef5f54fef5c0b9f2965cd74c4dec33b17f5108e756534e73fc6de0613a01567061a9d837ee7d1326b840c138106bcf150f321f353f661a2b89e5 SHA512 0b15627c4a31d3abcdbb5885bf2e7f4dee9ffddad2144855d1e1e18d66edc379e3a2b0a378097c35897e571f856b61aadabb47672d75401f6f6231f33ae475c8
diff --git a/dev-ml/opam-common/opam-common-2.5.2.ebuild b/dev-ml/opam-common/opam-common-2.5.2.ebuild
new file mode 100644
index 000000000000..dd43b3cd7004
--- /dev/null
+++ b/dev-ml/opam-common/opam-common-2.5.2.ebuild
@@ -0,0 +1,45 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit dune
+
+DESCRIPTION="Core libraries for opam"
+HOMEPAGE="https://opam.ocaml.org/ https://github.com/ocaml/opam"
+SRC_URI="https://github.com/ocaml/opam/archive/${PV/_/-}.tar.gz -> opam-${PV}.tar.gz"
+S="${WORKDIR}/opam-${PV/_/-}"
+
+LICENSE="LGPL-2.1"
+SLOT="0/${PV}"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+IUSE="+ocamlopt"
+RESTRICT="test" #sandbox not working
+
+RDEPEND="
+ dev-ml/jsonm:=[ocamlopt?]
+ dev-ml/ocamlgraph:=[ocamlopt?]
+ dev-ml/ocaml-sha:=[ocamlopt?]
+ >=dev-ml/opam-file-format-2.1.4:=[ocamlopt?]
+ dev-ml/patch:=[ocamlopt?]
+ dev-ml/re:=[ocamlopt?]
+ dev-ml/stdlib-shims:=[ocamlopt?]
+ dev-ml/swhid_core:=[ocamlopt?]
+ dev-ml/uchar:=[ocamlopt?]
+ dev-ml/uutf:=[ocamlopt?]
+ !<dev-ml/opam-2.2
+"
+DEPEND="${RDEPEND}"
+BDEPEND="dev-ml/findlib"
+
+src_configure() {
+ :
+}
+
+src_compile() {
+ dune-compile opam-core opam-format
+}
+
+src_install() {
+ dune-install opam-core opam-format
+}
diff --git a/dev-ml/opam-installer/Manifest b/dev-ml/opam-installer/Manifest
index 8cb11fd2ec5b..0822c16dd1c5 100644
--- a/dev-ml/opam-installer/Manifest
+++ b/dev-ml/opam-installer/Manifest
@@ -3,3 +3,4 @@ DIST opam-2.3.0.tar.gz 1128521 BLAKE2B 1567dbf9f2a944f2399820a1007a0d0943c54e158
DIST opam-2.4.1.tar.gz 1191951 BLAKE2B 21c6e5e59741699233be0375e7357ab4f8178f2e80bb347f460ac6e53b7fe3ff63dbfb21aeab6dda51ad937b30050d2eeb55e8b3bd6cacbea9f23fd8321a4646 SHA512 ee1656715f7e03c36ed9aa0a158033bbdb977d3e9017efa0ceddcd7b073e9b587eb6340ddf1916d9da197c7f48766e569221e6d8e43314bf761326329e4be0a6
DIST opam-2.5.1.tar.gz 1277085 BLAKE2B ce0b3224549144adcd9bb1a185b117a14a4ab3247e33dd882382ff5e1adae14a21acc28fb97a14577e464588d95369f4104663875151574c201819bc472b40ff SHA512 213f65253e12db5e64ece137db48eb031acb683ac3c0ecd3c02d1127a55777ef2d47298ebdffcdbb8c55a3a08ab0ec0a675698b05d72a3fd1649c89af8fdd150
DIST opam-full-2.1.6.tar.gz 11704198 BLAKE2B 20e74551760cadf1d911e72c34502e1e7e62003f8ebc83f3b9cb46c712e13fb5f85f41421cc74b051c2e348e0c0a17f4ea34bf655f7ec48cfcdab1e0d8a57a11 SHA512 2bb24db05dc39d6e8294c10b5a6bb2dd8f675a4d56e1dc9a2e9bc576f54d14a1709005219c25586df9382897ab7ba5ea0636765410f01c06958ec59be9f14b4c
+DIST opam-2.5.2.tar.gz 1283376 BLAKE2B db74d81c9ef0ef5f54fef5c0b9f2965cd74c4dec33b17f5108e756534e73fc6de0613a01567061a9d837ee7d1326b840c138106bcf150f321f353f661a2b89e5 SHA512 0b15627c4a31d3abcdbb5885bf2e7f4dee9ffddad2144855d1e1e18d66edc379e3a2b0a378097c35897e571f856b61aadabb47672d75401f6f6231f33ae475c8
diff --git a/dev-ml/opam-installer/opam-installer-2.2.1-r1.ebuild b/dev-ml/opam-installer/opam-installer-2.2.1-r1.ebuild
index de01941a57fa..1540654e448a 100644
--- a/dev-ml/opam-installer/opam-installer-2.2.1-r1.ebuild
+++ b/dev-ml/opam-installer/opam-installer-2.2.1-r1.ebuild
@@ -7,7 +7,7 @@ inherit dune
DESCRIPTION="Core installer for opam packages"
HOMEPAGE="https://opam.ocaml.org/ https://github.com/ocaml/opam"
-SRC_URI="https://github.com/ocaml/opam/releases/download/${PV}/opam-${PV}.tar.gz"
+SRC_URI="https://github.com/ocaml/opam/archive/${PV/_/-}.tar.gz -> opam-${PV}.tar.gz"
S="${WORKDIR}/opam-${PV/_/-}"
LICENSE="LGPL-2.1"
diff --git a/dev-ml/opam-installer/opam-installer-2.3.0.ebuild b/dev-ml/opam-installer/opam-installer-2.3.0.ebuild
index b3c525343bd8..78b608c57849 100644
--- a/dev-ml/opam-installer/opam-installer-2.3.0.ebuild
+++ b/dev-ml/opam-installer/opam-installer-2.3.0.ebuild
@@ -7,7 +7,7 @@ inherit dune
DESCRIPTION="Core installer for opam packages"
HOMEPAGE="https://opam.ocaml.org/ https://github.com/ocaml/opam"
-SRC_URI="https://github.com/ocaml/opam/releases/download/${PV}/opam-${PV}.tar.gz"
+SRC_URI="https://github.com/ocaml/opam/archive/${PV/_/-}.tar.gz -> opam-${PV}.tar.gz"
S="${WORKDIR}/opam-${PV/_/-}"
LICENSE="LGPL-2.1"
diff --git a/dev-ml/opam-installer/opam-installer-2.4.1.ebuild b/dev-ml/opam-installer/opam-installer-2.4.1.ebuild
index 7ca848dc3a1b..0fa7b1807abc 100644
--- a/dev-ml/opam-installer/opam-installer-2.4.1.ebuild
+++ b/dev-ml/opam-installer/opam-installer-2.4.1.ebuild
@@ -7,7 +7,7 @@ inherit dune
DESCRIPTION="Core installer for opam packages"
HOMEPAGE="https://opam.ocaml.org/ https://github.com/ocaml/opam"
-SRC_URI="https://github.com/ocaml/opam/releases/download/${PV}/opam-${PV}.tar.gz"
+SRC_URI="https://github.com/ocaml/opam/archive/${PV/_/-}.tar.gz -> opam-${PV}.tar.gz"
S="${WORKDIR}/opam-${PV/_/-}"
LICENSE="LGPL-2.1"
diff --git a/dev-ml/opam-installer/opam-installer-2.5.1.ebuild b/dev-ml/opam-installer/opam-installer-2.5.1.ebuild
index 1682578a12b0..9398e779d603 100644
--- a/dev-ml/opam-installer/opam-installer-2.5.1.ebuild
+++ b/dev-ml/opam-installer/opam-installer-2.5.1.ebuild
@@ -7,7 +7,7 @@ inherit dune
DESCRIPTION="Core installer for opam packages"
HOMEPAGE="https://opam.ocaml.org/ https://github.com/ocaml/opam"
-SRC_URI="https://github.com/ocaml/opam/releases/download/${PV}/opam-${PV}.tar.gz"
+SRC_URI="https://github.com/ocaml/opam/archive/${PV/_/-}.tar.gz -> opam-${PV}.tar.gz"
S="${WORKDIR}/opam-${PV/_/-}"
LICENSE="LGPL-2.1"
@@ -17,7 +17,6 @@ IUSE="+ocamlopt"
RESTRICT="test" # sandbox not working
RDEPEND="
- <dev-ml/cmdliner-2.0.0:=[ocamlopt?]
dev-ml/jsonm:=[ocamlopt?]
dev-ml/ocamlgraph:=[ocamlopt?]
dev-ml/ocaml-sha:=[ocamlopt?]
diff --git a/dev-ml/opam-installer/opam-installer-2.5.2.ebuild b/dev-ml/opam-installer/opam-installer-2.5.2.ebuild
new file mode 100644
index 000000000000..9398e779d603
--- /dev/null
+++ b/dev-ml/opam-installer/opam-installer-2.5.2.ebuild
@@ -0,0 +1,46 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit dune
+
+DESCRIPTION="Core installer for opam packages"
+HOMEPAGE="https://opam.ocaml.org/ https://github.com/ocaml/opam"
+SRC_URI="https://github.com/ocaml/opam/archive/${PV/_/-}.tar.gz -> opam-${PV}.tar.gz"
+S="${WORKDIR}/opam-${PV/_/-}"
+
+LICENSE="LGPL-2.1"
+SLOT="0/${PV}"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+IUSE="+ocamlopt"
+RESTRICT="test" # sandbox not working
+
+RDEPEND="
+ dev-ml/jsonm:=[ocamlopt?]
+ dev-ml/ocamlgraph:=[ocamlopt?]
+ dev-ml/ocaml-sha:=[ocamlopt?]
+ ~dev-ml/opam-common-${PV}:=[ocamlopt?]
+ dev-ml/opam-file-format:=[ocamlopt?]
+ dev-ml/re:=[ocamlopt?]
+ dev-ml/swhid_core:=[ocamlopt?]
+ dev-ml/stdlib-shims:=[ocamlopt?]
+ dev-ml/uchar:=[ocamlopt?]
+ dev-ml/uutf:=[ocamlopt?]
+"
+DEPEND="${RDEPEND}"
+BDEPEND="dev-ml/findlib"
+
+src_configure() {
+ :
+}
+
+src_compile() {
+ dune-compile ${PN}
+}
+
+src_install() {
+ dune-install ${PN}
+ mv "${ED}"/usr/share/doc/${PF}/${PN}/* \
+ "${ED}"/usr/share/doc/${PF} || die
+}
diff --git a/dev-ml/opam/Manifest b/dev-ml/opam/Manifest
index 56834a78e4e4..d408cbea0b4a 100644
--- a/dev-ml/opam/Manifest
+++ b/dev-ml/opam/Manifest
@@ -3,3 +3,4 @@ DIST opam-2.2.1.tar.gz 1089671 BLAKE2B cd6a97c8c19d7866205b49f95bf4215d986b3ad8b
DIST opam-2.3.0.tar.gz 1128521 BLAKE2B 1567dbf9f2a944f2399820a1007a0d0943c54e158a5c371421ede0b59a84dfbcef4a5b8e259d74e053e6ae094a89bf6e4ec8686a076c9216f1c7a9136e3958ed SHA512 596d7b28f0cf9613dc7637aaeac45cc45f411a13286fea1cc81aeb0630c4f8a6dc2095d50db73229a255a3da3d9a08fe0993355a7fc64d3b16fd712789ff5f6e
DIST opam-2.4.1.tar.gz 1191951 BLAKE2B 21c6e5e59741699233be0375e7357ab4f8178f2e80bb347f460ac6e53b7fe3ff63dbfb21aeab6dda51ad937b30050d2eeb55e8b3bd6cacbea9f23fd8321a4646 SHA512 ee1656715f7e03c36ed9aa0a158033bbdb977d3e9017efa0ceddcd7b073e9b587eb6340ddf1916d9da197c7f48766e569221e6d8e43314bf761326329e4be0a6
DIST opam-2.5.1.tar.gz 1277085 BLAKE2B ce0b3224549144adcd9bb1a185b117a14a4ab3247e33dd882382ff5e1adae14a21acc28fb97a14577e464588d95369f4104663875151574c201819bc472b40ff SHA512 213f65253e12db5e64ece137db48eb031acb683ac3c0ecd3c02d1127a55777ef2d47298ebdffcdbb8c55a3a08ab0ec0a675698b05d72a3fd1649c89af8fdd150
+DIST opam-2.5.2.tar.gz 1283376 BLAKE2B db74d81c9ef0ef5f54fef5c0b9f2965cd74c4dec33b17f5108e756534e73fc6de0613a01567061a9d837ee7d1326b840c138106bcf150f321f353f661a2b89e5 SHA512 0b15627c4a31d3abcdbb5885bf2e7f4dee9ffddad2144855d1e1e18d66edc379e3a2b0a378097c35897e571f856b61aadabb47672d75401f6f6231f33ae475c8
diff --git a/dev-ml/opam/opam-2.5.1.ebuild b/dev-ml/opam/opam-2.5.1.ebuild
index 819bbe3ec383..aaf11ab57b6d 100644
--- a/dev-ml/opam/opam-2.5.1.ebuild
+++ b/dev-ml/opam/opam-2.5.1.ebuild
@@ -19,7 +19,6 @@ RESTRICT="test" #see bugs 838658
RDEPEND="
dev-ml/0install:=[ocamlopt?]
- <dev-ml/cmdliner-2:=[ocamlopt?]
dev-ml/cudf:=[ocamlopt?]
dev-ml/dose3:=[ocamlopt?]
dev-ml/extlib:=[ocamlopt?]
diff --git a/dev-ml/opam/opam-2.5.2.ebuild b/dev-ml/opam/opam-2.5.2.ebuild
new file mode 100644
index 000000000000..aaf11ab57b6d
--- /dev/null
+++ b/dev-ml/opam/opam-2.5.2.ebuild
@@ -0,0 +1,54 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DUNE_PKG_NAME="opam"
+inherit dune
+
+DESCRIPTION="A source-based package manager for OCaml"
+HOMEPAGE="http://opam.ocaml.org/"
+SRC_URI="https://github.com/ocaml/opam/archive/${PV/_/-}.tar.gz -> opam-${PV}.tar.gz"
+S="${WORKDIR}/opam-${PV/_/-}"
+
+LICENSE="LGPL-2.1-with-linking-exception"
+SLOT="0/${PV}"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+IUSE="+ocamlopt"
+RESTRICT="test" #see bugs 838658
+
+RDEPEND="
+ dev-ml/0install:=[ocamlopt?]
+ dev-ml/cudf:=[ocamlopt?]
+ dev-ml/dose3:=[ocamlopt?]
+ dev-ml/extlib:=[ocamlopt?]
+ dev-ml/jsonm:=[ocamlopt?]
+ dev-ml/ocaml-base64:=[ocamlopt?]
+ dev-ml/ocamlgraph:=[ocamlopt?]
+ dev-ml/ocaml-sha:=[ocamlopt?]
+ dev-ml/opam-0install-cudf:=[ocamlopt?]
+ ~dev-ml/opam-common-${PV}:=[ocamlopt?]
+ dev-ml/opam-file-format:=[ocamlopt?]
+ dev-ml/re:=[ocamlopt?]
+ dev-ml/spdx_licenses:=[ocamlopt?]
+ dev-ml/stdlib-shims:=[ocamlopt?]
+ dev-ml/swhid_core:=[ocamlopt?]
+ dev-ml/uchar:=[ocamlopt?]
+ dev-ml/uutf:=[ocamlopt?]
+"
+DEPEND="${RDEPEND}"
+BDEPEND="dev-ml/findlib"
+
+src_configure() {
+ :
+}
+
+src_compile() {
+ dune-compile opam-solver opam-repository opam-state opam-client ${DUNE_PKG_NAME}
+}
+
+src_install() {
+ dune_src_install
+ mv "${ED}"/usr/share/doc/${PF}/${PN}/* \
+ "${ED}"/usr/share/doc/${PF} || die
+}